$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("focus", '.total', autoAddRows);
    $("body").on("keyup focus blur", '.trqty, .nos, .total', itemCal);



    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('garbworkdone_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function itemCal() {
        var tr = $(this).closest("tr"),
                val = 0, val1 = 0;

        var trqty = tr.find(".trqty").val();
        var nos   = tr.find(".nos").val();
        var total = trqty * nos;
        tr.find(".total").val(total);

        $(".trqty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val1 += parseFloat(this.value);
            }
        });
        var totq = parseFloat(val1);
        $('.totqty').val(totq);

        $(".total").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        var tot = parseFloat(val);
        $('.tottotal').val(tot);
//        mainbCal();
    }

});